classification
Title: Better description of 'L' repr removal in "What's New"
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, salty-horse
Priority: normal Keywords:

Created on 2007-12-08 12:49 by salty-horse, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (2)
msg58293 - (view) Author: Ori Avtalion (salty-horse) * Date: 2007-12-08 12:49
The "common stumbling blocks" section reads:

* Code that unconditionally strips the trailing ``L`` from the
``repr()`` of a long integer will chop off the last digit instead.


This explains a problem and a fix without any reason (one has to guess
it from context).
It should first mention that the 'L' is no longer displayed.
msg58316 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-12-09 09:04
Thanks, fixed in r59438.
History
Date User Action Args
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-12-09 09:04:18georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg58316
2007-12-08 14:21:48christian.heimessetpriority: normal
assignee: georg.brandl
keywords: + py3k
nosy: + georg.brandl
2007-12-08 12:49:37salty-horsecreate